/** LANL:license
 * -------------------------------------------------------------------------
 * This SOFTWARE has been authored by an employee or employees of the
 * University of California, operator of the Los Alamos National Laboratory
 * under Contract No. W-7405-ENG-36 with the U.S. Department of Energy.
 * The U.S. Government has rights to use, reproduce, and distribute this
 * SOFTWARE.  The public may copy, distribute, prepare derivative works and
 * publicly display this SOFTWARE without charge, provided that this Notice
 * and any statement of authorship are reproduced on all copies.  Neither
 * the Government nor the University makes any warranty, express or implied,
 * or assumes any liability or responsibility for the use of this SOFTWARE.
 * If SOFTWARE is modified to produce derivative works, such modified
 * SOFTWARE should be clearly marked, so as not to confuse it with the
 * version available from LANL.
 * -------------------------------------------------------------------------
 * LANL:license
 * -------------------------------------------------------------------------
 */
#ifndef _F90COMPLEX_H_
#define _F90COMPLEX_H_

//-----------------------------------------------------------------------------
// F90Complex.h -- classes to copy Fortran complex classes
//-----------------------------------------------------------------------------

namespace F90 {

class ComplexDouble {
 public:
  double real;
  double imag;

  ComplexDouble(double r, double i) : real(r), imag(i)  { }
  ComplexDouble(const ComplexDouble& c) : real(c.real), imag(c.imag) { }
  ComplexDouble& operator=(const ComplexDouble& c);
};


class ComplexFloat {
 public:
  float real;
  float imag;

  ComplexFloat(float r, float i) : real(r), imag(i)  { }
  ComplexFloat(const ComplexFloat& c) : real(c.real), imag(c.imag) { }
  ComplexFloat& operator=(const ComplexFloat& c);
};

} // namespace F90

#endif // _F90COMPLEX_H

